Đến nội dung


Hình ảnh
- - - - -

[Nhờ chỉnh sửa] Nhờ sửa giùm lisp copytext.


  • Please log in to reply
5 replies to this topic

#1 ttmt_jses

ttmt_jses

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 29 November 2011 - 03:55 PM

Chào các ban!
Mình mới chép được lisp copytext rất hay,lisp này dùng để thay đồi các đối tượng text và mtext.Sử dụng như sau:
Lệnh TC, chọn đồi tượng gốc, chọn đối tượng cân thay đổi cho giống đối tượng gốc.
và vấn đề là minh cần thay đổi hàng loạt đối tượng cùng lúc trong khi lisp chi cho chọn lần lượt từng đối tượng nên rất bất tiện.Xin các bạn sửa giúp minh sao cho mình có thể quét 1 lần được bao nhiêu đối tượng tuỳ thích rồi enter là được.Mong các bạn sớm hồi âm.Xin cảm ơn.
Còn đây là lisp cần sửa

http://www.cadviet.c...078_textcop.lsp
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 29 November 2011 - 04:51 PM

Bạn kiểm tra lại link lisp :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 ttmt_jses

ttmt_jses

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 29 November 2011 - 05:26 PM

Mình đã up lại, bạn xem giùm nhé.
http://www.cadviet.c...8_textcop_1.lsp
  • 0

#4 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 November 2011 - 06:45 PM

Mình đã up lại, bạn xem giùm nhé.
http://www.cadviet.c...8_textcop_1.lsp

Hề hề hề,
Bạn thử làm như sau nhé:
1/- Bổ sung các dòng code sau
(progn
(setq sst (acet-ss-to-list (ssget))
(foreach et2 sst
vào ngay phía trên dòng code: (while (setq et2 (entsel (strcat "\ns" newtext "_CHON DOI TUONG KE TIEP : ")))
2/- Xóa dòng code (while (setq et2 (entsel (strcat "\ns" newtext "_CHON DOI TUONG KE TIEP : ")))
3/- Thêm một dấu ngoặc đóng vào phía sau dấu ngoặc đóng đã có ngay phía trên dòng code: (prompt (strcat "\n<" ettype ">‚ÍŽQÆ‚Å‚«‚Ü‚¹‚ñ¡"))

vậy là xong và bạn hãy test thử coi nhé.
Chúc bạn vui.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#5 ttmt_jses

ttmt_jses

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 30 November 2011 - 09:21 AM

Mình đã làm như bạn hướng dẫn nhưng sau khi load lisp xong là cad báo ; error: malformed list on input và cũng không hiểu lệnh TC.Bạn xem giùm mình làm chưa đúng chỗ nào nha.
Đây là lisp mình đã sửa theo hướng dẫn:
http://www.cadviet.c...8_textcop_2.lsp
  • 0

#6 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5451 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 01 December 2011 - 10:39 AM

Mình đã làm như bạn hướng dẫn nhưng sau khi load lisp xong là cad báo ; error: malformed list on input và cũng không hiểu lệnh TC.Bạn xem giùm mình làm chưa đúng chỗ nào nha.
Đây là lisp mình đã sửa theo hướng dẫn:
http://www.cadviet.c...8_textcop_2.lsp


Bạn kiểm tra lại đi: thiếu dấu ) bên phải!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.